org.apache.ignite.internal.processors.cluster

## Interface IgniteChangeGlobalStateSupport

All Known Subinterfaces:
  IgnitePageStoreManager, IgniteWriteAheadLogManager

All Known Implementing Classes:
  AtomicDataStructureProxy, DataStructuresProcessor, DistributedMetaStorageImpl, FilePageStoreManager, FileWriteAheadLogManager, GridCacheAtomicLongImpl, GridCacheAtomicReferenceImpl, GridCacheAtomicSequenceImpl, GridCacheAtomicStampedImpl, GridCacheCountDownLatchImpl, GridCacheDatabaseSharedManager, GridCacheLockImpl, GridCacheSemaphoreImpl, GridEncryptionManager, GridTaskProcessor, IgniteCacheDatabaseSharedManager, IgniteCacheSnapshotManager, IgniteServiceProcessor, IgniteSnapshotManager

    public interface IgniteChangeGlobalStateSupport

Provides callback during activation/deactivation cluster.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onActivate(GridKernalContext kctx)` Called when cluster performing activation.
`void` `onDeActivate(GridKernalContext kctx)` Called when cluster performing deactivation.

### Method Detail

#### onActivate

    void onActivate(GridKernalContext kctx)
             throws IgniteCheckedException

Called when cluster performing activation.

Parameters:
  `kctx` - Kernal context.
Throws:
  `IgniteCheckedException` - If failed.

#### onDeActivate

    void onDeActivate(GridKernalContext kctx)

Called when cluster performing deactivation.

Parameters:
  `kctx` - Kernal context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022